from typing import TYPE_CHECKING
from PyQt6.QtCore import QObject, pyqtSignal

if TYPE_CHECKING:
    from gui.ui_library import Ui_Library

class SignalManagement(QObject):
    change_list_signal = pyqtSignal()

    def __init__(self, ui):
        super().__init__()
        self.ui = ui

    def connect_signals(self):
        self.change_list_signal.connect(self.ui.refresh_title_list)